#!/bin/bash -e
echo $0

# Copy tarball of go cookies and extract into jenkins homes

. $(dirname $0)/../env-common

f_name="uosci-bot-go-cookies.tar.bz2"
f_dst_dir="${JENKINS_HOME}"
f_dst="${f_dst_dir}/${f_name}"
f_tmp="${U_HOME}/${f_name}"
f_src_dir="../deployment/deploy-files"
f_src="${f_src_dir}/${f_name}"

if [ ! -f "$f_src" ]; then
  echo "Local source file ${f_src} not found."
  pwd
  exit 1
fi

echo $UNITS

for unit in $UNITS; do
  echo "copying ${f_src} into ${unit}"
  juju scp $f_src ${unit}:${f_tmp}
  echo "adjusting permissions"
  juju ssh $unit "sudo mv $f_tmp $f_dst &&\
    sudo chown jenkins:jenkins ${f_dst} &&\
    sudo chmod 600 ${f_dst} &&\
    sudo su - jenkins -c 'tar -jxvf $f_name'"
done
