#!/bin/bash -e
echo $0

# Copy the initial static jobs into master

. $(dirname $0)/../../env-common

f_name="jobs-static-initial.tgz"
f_dst="${JENKINS_HOME}/jobs/${f_name}"
f_tmp="${U_HOME}/${f_name}"
f_src_dir="jobs"
f_src="${f_src_dir}/${f_name}"
src_jobs_dir="deploy-files/jobs"
dst_jobs_dir="/var/lib/jenkins/jobs"

# Make tarball of jobs dir contents
tar -czf ${f_src} -C ${f_src_dir} .

# Copy tarball to master and extract it
if [ ! -f "$f_src" ]; then
  echo "Local source file ${f_src} not found."
  pwd
  exit 1
fi

echo "copying ${f_src} file into ${MASTER}"
juju scp $f_src ${MASTER}:${f_tmp}
juju ssh ${MASTER} "sudo cp -vf ${f_tmp} ${f_dst} &&\
  sudo tar -zxvf $f_name -C ${JENKINS_HOME}/jobs -X $f_name &&\
  sudo chown jenkins:jenkins -R ${JENKINS_HOME}/jobs &&\
  sudo service jenkins restart &&\
  sudo service jenkins status"
