#!/bin/bash -ex

# Post deployment jenkins and juju foo

# Make jenkins user a sudoer on master and all slaves
./bin/100-jenkins-user.sh

# Copy ssh key files and init bzr lp-login on master and all slaves,
# verify bzr checkout capability as the jenkins user.
./bin/102-ssh-creds.sh

# Create dirs and install packages (juju ppa)
./bin/104-dirs-and-packages.sh

# Set plugin proxy for serverstack
./bin/110-set-plugin-proxy-serverstack.sh

# Install plugins from the deploy/plugins list file
./bin/120-install-plugins.sh

# Copy static initial jobs into master
./bin/125-jobs-static-initial.sh

### Copy artifactweb credentials to all slaves (for osciweb @ prodstack publishing)
../admin/822-novarc-artifactweb-credentials-distribute.sh

### Copy tarmac redentials to all slaves (for lp mp monitoring/commenting)
../admin/820-tarmac-credentials-distribute.sh

# apt dist-upgrade all jenkins nodes
../admin/900-apt-upgrade-all.sh

# Restart jenkins services on all nodes
../admin/990-restart-jenkins-master-service.sh
sleep 120
../admin/991-restart-jenkins-slaves-services.sh

# Show jenkins master instance info
../admin/940-jenkins-master-info.sh
