#!/bin/bash -e
test="amulet"

# Source the common functions
. ${OSCI_ROOT}/job-parts/osci_job_common.sh

f_fresh_clean_start
f_check_out_universal
f_amulet_set_network_env_vars
f_env_no_pass

# Required for layerci
f_tool_refresh_release_tools
f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_fail_if_not_deployable_type

f_line "Begin amulet smoke"
cd ${BUILT_ASSET_DIR-$CO_DIR}
f_amulet_squash_00setup
if grep "^\[testenv:func27-smoke\]" tox.ini; then
  # Look for a func27-smoke tox target and run it as the first preference.
  echo " . Executing amulet smoke target via tox."
  tox -e func27-smoke |& tee $WORKSPACE/amulet-smoke.txt ||:
  if [[ "${PIPESTATUS[0]}" != "0" ]]; then
    echo " ! Amulet smoke failed."
    touch $WORKSPACE/fyi-amulet-smoke.failed
  fi
else
  # No func27-smoke tox target exists, run a naked amulet test as smoke.
  echo " ! Tox-based amulet smoke target not found, falling back to automatic test selection."
  f_amulet_smoke_select_tests_fallback
  f_juju_bootstrap
  f_amulet_naked_test_run
fi
f_line "End amulet smoke"

f_collect_juju_logs
f_set_build_descr
f_nice_finish
f_check_fail
