#!/bin/bash -e
# Set to lint, unit or amulet
test="amulet"

# Makefile command search strings, first match wins
sstring[0]=".venv/bin/bundletester"
sstring[1]="@tox -e func27"
sstring[2]="@juju test"
#sstring[3]=""
#sstring[4]=""

# Tox environments (targets) to attempt if a matching
# Makefile target was not found. First match wins.
tox_e_try[0]="func27"
tox_e_try[1]="func34"
tox_e_try[2]="func35"
#tox_e_try[3]=""
#tox_e_try[4]=""

# Source the common functions
. ${OSCI_ROOT}/job-parts/osci_job_common.sh

f_fresh_clean_start
f_env_no_pass
f_touch_try
f_check_out_universal

# Required for layerci
f_tool_refresh_release_tools
f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_fail_if_not_deployable_type

f_amulet_set_network_env_vars
f_amulet_no_teardown
f_amulet_set_timeout
f_line "begin amulet test"
f_juju_get_pkg_info juju-pkg-info.txt

f_juju_bootstrap

f_run_make_or_tox_test
f_get_func_results_file
f_line "end amulet test"

f_collect_juju_logs
f_set_build_descr
f_post_mp_comment
f_nice_finish
f_check_fail
