#!/bin/bash -e
. ${OSCI_ROOT}/job-parts/osci_job_common.sh
f_skip_juju_lxc

f_gerrit_set_blob_vars
env | egrep "BUILD|JOB_|GERRIT|UOSCI|HUDSON|JENKINS|WORKSPACE" | sort
f_novarc_artifactcloud


f_line "Deleting junk objects"
junk_pattern="///|nosuch|sandbox|/_/"

if [[ -z "$UOSCI_BUCKET_NAME" ]]; then
  echo " ! Missing required env var:  UOSCI_BUCKET_NAME"
  exit 1
fi

echo " . Grabbing list of junk objects in swift container:  $UOSCI_BUCKET_NAME..."
junk_tmp="$(mktemp)"
swift list $UOSCI_BUCKET_NAME | egrep $junk_pattern > $junk_tmp ||:

if [[ "$(wc -l $junk_tmp)" == "0 $junk_tmp" ]]; then
  echo " . No junk objects found"
fi

while read -r line; do
  # Trip whitespace if it exists
  line="$(echo $line | sed 's/^[ \t]*//;s/[ \t]*$//')"

  # Delete object
  if [[ -n "$line" ]]; then
    echo " - Deleting object:  $line"
    swift delete $UOSCI_BUCKET_NAME $line
  else
    # Let's not delete the container itself!
    echo " ! Skipping dangerous variable as read: $line"
  fi
done < "$junk_tmp"

rm -fv $junk_tmp

f_line "END: Deleting junk objects"

f_nice_finish
f_check_fail
