#!/bin/bash -e
# Set to lint, unit or amulet
test="lint"

# Makefile command search strings, first match wins
sstring[0]="@flake8"
sstring[1]="/flake8"
sstring[2]="tox -e pep8"
#sstring[3]=""
#sstring[4]=""

# Tox environments (targets) to attempt if a matching
# Makefile target was not found. First match wins.
tox_e_try[0]="pep8"
#tox_e_try[1]=""
#tox_e_try[2]=""
#tox_e_try[3]=""
#tox_e_try[4]=""

# Example for manual dev iterations of this runner:
#[[ -z "$BASE_NAME" ]] && export BASE_NAME="keystone"
#[[ -z "$DISPLAY_NAME" ]] && export DISPLAY_NAME="$BASE_NAME"
#[[ -z "$GIT_BRANCH" ]] && export GIT_BRANCH="master"
#[[ -z "$GIT_TAG" ]] && export GIT_TAG=""

# Source the common functions
. ${OSCI_ROOT}/job-parts/osci_job_common.sh

f_skip_juju_lxc

f_fresh_clean_start
f_env_no_pass
f_touch_try
f_check_out_universal

# Required for layerci
f_tool_refresh_release_tools
f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_check_and_announce_asset_type

f_amulet_set_network_env_vars
#f_proxy_if_proxy
f_line "begin lint test"

f_run_make_or_tox_test

f_charm_proof_examine
f_line "end lint test"
#f_proxy_unset

f_set_build_descr
f_post_mp_comment

f_nice_finish
f_check_fail

