#!/bin/bash -e
echo $0

# Ensure directories are created; Install juju packages

. $(dirname $0)/../../env-common

mkdirs="sudo mkdir -vp ${JENKINS_HOME}/tools &&\
        sudo mkdir -vp ${JENKINS_HOME}/.config/tarmac &&\
        sudo mkdir -vp ${FILE_TRIGGER_DIR} &&\
        sudo chown jenkins:jenkins -R ${JENKINS_HOME} &&\
        sudo mkdir -vp /mnt/jenkins-ssh-artifact-storage &&\
        sudo chown jenkins:jenkins -R /mnt/jenkins-ssh-artifact-storage"

pkgs="juju juju-2.0 juju-1.25 juju-deployer charm-tools"
cmd="sudo add-apt-repository ppa:juju/stable -y && sudo apt-get update -y && sudo apt-get install $pkgs -y && sudo apt-get upgrade -y"

# Packages should be expressed as 'tools' in the charm config (bundle)
#
#cmd_base="sudo apt-get install git testrepository subunit python-nose python-lxml python-boto \
#        python-junitxml python-subunit python-boto python-testresources python-oslotest python-stevedore \
#        python-cinderclient python-glanceclient python-heatclient python-keystoneclient \
#        python-neutronclient python-novaclient python-swiftclient python-ceilometerclient \
#        amulet charm-tools juju-deployer juju-core iptraf htop nmap nload multitail wget lynx \
#        python-distro-info distro-info python-jinja2 python3-jinja2 pastebinit pylint \
#        python-coverage python-netifaces python-psutil \
#        iperf gcc python-dev python-virtualenv python-apt \
#        openvswitch-test openvswitch-common python-pymongo python-lockfile \
#        python-flake8 ppa-purge lxc python-dnspython python-tox -y"

juju run --service osci "$mkdirs"
juju run --service osci "$cmd"
juju run --service osci-lab "$cmd"
juju run --service osci-task "$cmd"
juju run --service osci-slave "$cmd"
